Mailinglist Archive: opensuse-security-announce (107 mails)

< Previous Next >
[security-announce] SUSE-SU-2018:0076-1: important: Security update for glibc
SUSE Security Update: Security update for glibc
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:0076-1
Rating: important
References: #1043984 #1074293
Cross-References: CVE-2014-9984 CVE-2018-1000001
Affected Products:
SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for glibc fixes the following issues:

- A privilege escalation bug in the realpath() function has been fixed.
[CVE-2018-1000001, bsc#1074293]

- A buffer manipulation vulnerability in nscd has been fixed that could
possibly have lead to an nscd daemon crash or code execution as the user
running nscd. [CVE-2014-9984, bsc#1043984]


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Server 12-LTSS:

zypper in -t patch SUSE-SLE-SERVER-12-2018-54=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Server 12-LTSS (ppc64le s390x x86_64):

glibc-2.19-22.24.5
glibc-debuginfo-2.19-22.24.5
glibc-debugsource-2.19-22.24.5
glibc-devel-2.19-22.24.5
glibc-devel-debuginfo-2.19-22.24.5
glibc-locale-2.19-22.24.5
glibc-locale-debuginfo-2.19-22.24.5
glibc-profile-2.19-22.24.5
nscd-2.19-22.24.5
nscd-debuginfo-2.19-22.24.5

- SUSE Linux Enterprise Server 12-LTSS (s390x x86_64):

glibc-32bit-2.19-22.24.5
glibc-debuginfo-32bit-2.19-22.24.5
glibc-devel-32bit-2.19-22.24.5
glibc-devel-debuginfo-32bit-2.19-22.24.5
glibc-locale-32bit-2.19-22.24.5
glibc-locale-debuginfo-32bit-2.19-22.24.5
glibc-profile-32bit-2.19-22.24.5

- SUSE Linux Enterprise Server 12-LTSS (noarch):

glibc-html-2.19-22.24.5
glibc-i18ndata-2.19-22.24.5
glibc-info-2.19-22.24.5


References:

https://www.suse.com/security/cve/CVE-2014-9984.html
https://www.suse.com/security/cve/CVE-2018-1000001.html
https://bugzilla.suse.com/1043984
https://bugzilla.suse.com/1074293

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages